Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms.inflow
Class JmsServerSession

    java.lang.Object
      org.jboss.resource.adapter.jms.inflow.JmsServerSession

All Implemented Interfaces:
  EventListener, javax.jms.MessageListener, Runnable, javax.jms.ServerSession, javax.resource.spi.work.Work, javax.resource.spi.work.WorkListener

public class JmsServerSession
extends Object
implements javax.jms.ServerSession, javax.jms.MessageListener, javax.resource.spi.work.Work, javax.resource.spi.work.WorkListener

A generic jms session pool.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Constructor Summary
`JmsServerSession(JmsServerSessionPool pool)` Create a new JmsServerSession

Method Summary
`javax.jms.Session` | `getSession()`
`void` | `onMessage(javax.jms.Message message)`
`void` | `release()`
`void` | `run()`
`void` | `setup()` Setup the session
`void` | `start()`
`void` | `teardown()` Stop the session
`void` | `workAccepted(javax.resource.spi.work.WorkEvent e)`
`void` | `workCompleted(javax.resource.spi.work.WorkEvent e)`
`void` | `workRejected(javax.resource.spi.work.WorkEvent e)`
`void` | `workStarted(javax.resource.spi.work.WorkEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsServerSession

    public JmsServerSession(JmsServerSessionPool pool)

  Create a new JmsServerSession

Parameters:
  `pool` - the server session pool

Method Detail

### setup

    public void setup()
               throws Exception

  Setup the session

  Throws:
    `Exception`

### teardown

    public void teardown()

  Stop the session

### onMessage

    public void onMessage(javax.jms.Message message)

  Specified by:
    `onMessage` in interface `javax.jms.MessageListener`

### getSession

    public javax.jms.Session getSession()
                                 throws javax.jms.JMSException

  Specified by:
    `getSession` in interface `javax.jms.ServerSession`
  Throws:
    `javax.jms.JMSException`

### start

    public void start()
               throws javax.jms.JMSException

  Specified by:
    `start` in interface `javax.jms.ServerSession`
  Throws:
    `javax.jms.JMSException`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### release

    public void release()

  Specified by:
    `release` in interface `javax.resource.spi.work.Work`

### workAccepted

    public void workAccepted(javax.resource.spi.work.WorkEvent e)

  Specified by:
    `workAccepted` in interface `javax.resource.spi.work.WorkListener`

### workCompleted

    public void workCompleted(javax.resource.spi.work.WorkEvent e)

  Specified by:
    `workCompleted` in interface `javax.resource.spi.work.WorkListener`

### workRejected

    public void workRejected(javax.resource.spi.work.WorkEvent e)

  Specified by:
    `workRejected` in interface `javax.resource.spi.work.WorkListener`

### workStarted

    public void workStarted(javax.resource.spi.work.WorkEvent e)

  Specified by:
    `workStarted` in interface `javax.resource.spi.work.WorkListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.